Upgrading from Mozilla 1.8 branch build to trunk builds causes double error about calendar which is read-only

RESOLVED INCOMPLETE

Status

Calendar
General
--
major
RESOLVED INCOMPLETE
11 years ago
10 years ago

People

(Reporter: Damian Szczepanik, Unassigned)

Tracking

Trunk
x86
Windows XP

Details

Attachments

(1 attachment)

(Reporter)

Description

11 years ago
User-Agent:       Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8.1.4) Gecko/20070515 Firefox/2.0.0.4
Build Identifier: Mozilla/5.0 (Windows; U; Windows NT 5.1; @AB_CD@; rv:1.9a6pre) Gecko/20070701 Calendar/0.6a1

After upgrade I get the same alert every time when I run Sunbird, calendar fires two alerts about error but the one is empty (has no description)

Reproducible: Always

Steps to Reproduce:
this scenario might be not correct as far as I do not know where the problem is
1. use 0.5rc2
2. subscribe remote calendar which which you can't modify (guess that's the key)
3. upgrade to 0.6a1
   -> wizard is started and tries to check data compatibility
Actual Results:  
when all events are displayed sunbird generates two alerts (see screenshot)

[Exception... "Component returned failure code: 0x804a0107 [calIICSService.parseICS]"  nsresult: "0x804a0107 (<unknown>)"  location: "JS frame :: file:///C:/Sunbird/js/calIcsParser.js :: ip_parseString :: line 60"  data: no]

Expected Results:  
I haven't got alert like this one
(Reporter)

Comment 1

11 years ago
Created attachment 271361 [details]
screenshot
Note that trunk builds are not supported. Upgrade from branch builds to trunk builds is neither tested nor supported too. If you want to use nightly builds I'd recommend to stick with mozilla1.8 branch builds (0.5 -> 0.7pre).

Looking at the error message this looks like another one of the network based calendar issues reported for 0.5.
(Reporter)

Comment 3

11 years ago
ok, no error after upgrade to
Mozilla/5.0 (Windows; U; Windows NT 5.1; pl; rv:1.8.1.5pre) Gecko/20070706 Calendar/0.7pre
Whiteboard: [qa discussion needed]

Comment 4

11 years ago
This should be tested again, once 0.7 is out. One time we need to support the change from BRANCH to TRUNK.
Summary: upgrading from 0.5rc2 to 0.6a1 causes double error about calendar which is read-only → upgrading from BRANCH build to TRUNK build causes double error about calendar which is read-only
Whiteboard: [qa discussion needed]
Version: unspecified → Trunk
Summary: upgrading from BRANCH build to TRUNK build causes double error about calendar which is read-only → [Trunk] upgrading from BRANCH build to TRUNK build causes double error about calendar which is read-only
I have no issues sharing the same profile between Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.1.17pre) Gecko/2008072420 Calendar/0.9pre and Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.0.2pre) Gecko/2008072419 Calendar/0.6a1 using a separate installation for each.

I have not tested if it works correctly after updating the Sunbird installation from 0.9pre to 0.6a1 via installer or built-in update.

Updated

10 years ago
Flags: blocking-calendar1.0?

Comment 6

10 years ago
Demanding QA whether this problem still persists.
Keywords: qawanted
Summary: [Trunk] upgrading from BRANCH build to TRUNK build causes double error about calendar which is read-only → Upgrading from Mozilla 1.8 branch build to trunk builds causes double error about calendar which is read-only
I think this bug is stale, please reopen if the issue persists.
Status: NEW → RESOLVED
Last Resolved: 10 years ago
Resolution: --- → INCOMPLETE
Flags: blocking-calendar1.0?
Keywords: qawanted
You need to log in before you can comment on or make changes to this bug.